import { LangSlug } from "leetcode-api-typescript";
export declare enum LocaleEnum {
    en_US = "en_US",
    zh_CN = "zh_CN"
}
export declare const LocaleText: Record<LocaleEnum, string>;
export interface Locale<T> {
    en_US?: T;
    zh_CN?: T;
}
export declare function CodeTemplateFileName(langSlug: LangSlug): string;
export declare function SolutionFileName(langSlug: LangSlug, filename?: string): string;
export declare function CodeTemplateReplaceContent(langSlug: LangSlug): "" | "// solution class";
